# #########################################################
# 
# BRIEF:
#       This is a qmake project file for building the
#       the Qt based GUI setup library.
#
# #########################################################

# #########################################################
# COMMON
#	We need to build as a 'plugin' and not just a 'dll'
#	because on OSX plugins are special share libraries
#	called 'bundles' which can be explicitly loaded.
#
#	The target directory is hard-coded but could be 
#	done using an environment variable substitution
#	- or one could just edit this file. The hard coding
#	has been done just to save some time (for me).
# #########################################################
TEMPLATE                = lib
TARGET                  = myodbc3S
DESTDIR                 = ./
!win32:VERSION		= 3.51.10
UI_DIR                  = .tmp
MOC_DIR                 = .tmp
OBJECTS_DIR             = .tmp
LANGUAGE                = C++
CPP_ALWAYS_CREATE_SOURCE = TRUE
CONFIG                  += plugin qt thread warn_on release
DEFINES			+= HAVE_CONFIG_H

# #########################################################
# WIN
# #########################################################
win32:DEFINES           -= UNICODE
win32:LIBS              += ../util/myodbcutil.lib odbc32.lib odbccp32.lib
win32:DEF_FILE          = myodbc3S.def
win32:libraries.path	= /windows/system32
win32:libraries.files	= myodbc3.dll

# #########################################################
# UNIX
# #########################################################
unix:INCLUDEPATH	+= /usr/include
unix:LIBS               += -L../util/.libs -lmyodbcutil  -L/usr/lib -lodbc -lodbcinst
unix:libraries.path	= /usr/lib
unix:libraries.files	= libmyodbc*

# #########################################################
# OSX
# #########################################################
# mac:CONFIG		-= thread
mac:LIBS		-= -lodbc -lodbcinst
mac:LIBS		+= -liodbc -liodbcinst
mac:libraries.path     = /usr/lib
mac:libraries.files    = libmyodbc3S.dylib

INSTALLS		+= libraries

# #########################################################
# FILES
# #########################################################
HEADERS			= \
			MYODBCSetupCheckBox.h \
			MYODBCSetupComboBox.h \
			MYODBCSetupComboBoxDatabases.h \
			MYODBCSetup.h \
			MYODBCSetupDataSourceDialog.h \
			MYODBCSetupDataSourceTab1.h \
			MYODBCSetupDataSourceTab2.h \
			MYODBCSetupDataSourceTab3.h \
			MYODBCSetupDataSourceTab3a.h \
			MYODBCSetupDataSourceTab3b.h \
			MYODBCSetupDataSourceTab3c.h \
			MYODBCSetupDataSourceTab3d.h \
			MYODBCSetupLineEdit.h
SOURCES			= \
			ConfigDSN.c \
			MYODBCSetupCheckBox.cpp \
			MYODBCSetupComboBox.cpp \
			MYODBCSetupComboBoxDatabases.cpp \
			MYODBCSetupConfigDSNAdd.c \
			MYODBCSetupConfigDSNEdit.c \
			MYODBCSetupConfigDSNRemove.c \
			MYODBCSetupDataSourceConfig.cpp \
			MYODBCSetupDataSourceDialog.cpp \
			MYODBCSetupDataSourceTab1.cpp \
			MYODBCSetupDataSourceTab2.cpp \
			MYODBCSetupDataSourceTab3.cpp \
			MYODBCSetupDataSourceTab3a.cpp \
			MYODBCSetupDataSourceTab3b.cpp \
			MYODBCSetupDataSourceTab3c.cpp \
			MYODBCSetupDataSourceTab3d.cpp \
			MYODBCSetupDriverConnect.c \
			MYODBCSetupDriverConnectPrompt.cpp \
			MYODBCSetupHandleInstallerError.c \
			MYODBCSetupLineEdit.cpp
			
